### Method

# Gtk EntryBufferget_text

#### Declaration [src]

    const char*
    gtk_entry_buffer_get_text (
      GtkEntryBuffer* buffer
    )

#### Description [src]

Retrieves the contents of the buffer.

The memory pointer returned by this call will not change unless this object emits a signal, or is finalized.

Gets property | `Gtk.EntryBuffer:text`

#### Return value

Type: `const char*`

A pointer to the contents of the widget as a string. This string points to internally allocated storage in the buffer and must not be freed, modified or stored.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.